/**
 * Searching ( Hero, Search Widget & Banner )
 */
function searchBlogTab() {
  let keyword = jQuery('#searchInput').val();
  let noresult = jQuery('#ama-search-result').attr('data-noresult');

  jQuery('#blog-search-results').show();
  jQuery('#forum-search-results').hide();

  jQuery('#search-all, #search-forum').removeClass('active');
  jQuery('#search-blog').addClass('active');

  jQuery.ajax({
    url: ama_local_object.ajaxurl,
    type: 'post',
    data: { action: 'ama_blog_search_results', keyword: keyword },
    success: function (data) {
      if (data.length > 0) {
        jQuery('#blog-search-results').html(data);
      } else {
        var data_error = '<h5>' + noresult + '</h5>';
        jQuery('#blog-search-results').addClass('ajax-search').html(data_error);
      }
    },
  });
}

//------ Search forum
function searchForumTab() {
  let keyword = jQuery('#searchInput').val();
  let noresult = jQuery('#ama-search-result').attr('data-noresult');
  jQuery('#blog-search-results').hide();
  jQuery('.all-search-results').hide();
  jQuery('#forum-search-results').show();
  jQuery('#search-all, #search-blog').removeClass('active');
  jQuery('#search-forum').addClass('active');

  jQuery.ajax({
    url: ama_local_object.ajaxurl,
    type: 'post',
    data: { action: 'ama_forum_search_results', keyword: keyword },
    success: function (data) {
      if (data.length > 0) {
        jQuery('#forum-search-results').html(data);
      } else {
        var data_error = '<h5>' + noresult + '</h5>';
        jQuery('#forum-search-results')
          .addClass('ajax-search')
          .html(data_error);
      }
    },
  });
}

jQuery('#searchInput').keyup(
  fetchDelay(function (e) {
    let keyword = jQuery('#searchInput').val();
    let noresult = jQuery('#ama-search-result').attr('data-noresult');
    jQuery('#ama-search-result').show();
    jQuery('.all-search-results').show();
    if (keyword == '') {
      jQuery('#ama-search-result').removeClass('ajax-search').html('');
    } else {
      jQuery.ajax({
        url: ama_local_object.ajaxurl,
        type: 'post',
        data: { action: 'ama_search_data_fetch', keyword: keyword },
        beforeSend: function () {
          jQuery('.spinner').css('display', 'block');
        },
        success: function (data) {
          if (data.length > 748) {
            jQuery('#ama-search-result').addClass('ajax-search').html(data);
            jQuery('.spinner').hide();
          } else {
            console.log(data.length);
            var data_error = '<h5>' + noresult + '</h5>';
            jQuery('.all-search-results')
              .addClass('ajax-search')
              .html(data_error);
          }
        },
      });
    }
  }, 500)
);

function fetchDelay(callback, ms) {
  var timer = 0;
  return function () {
    var context = this,
      args = arguments;
    clearTimeout(timer);
    timer = setTimeout(function () {
      callback.apply(context, args);
    }, ms || 0);
  };
}

function searchAllTab() {
  jQuery('#all-search-results').show();
  jQuery('#forum-search-results').hide();
  jQuery('#blog-search-results').hide();
  jQuery('.blog-search-results').show();
  jQuery('.all-search-results').show();
  jQuery('#search-forum, #search-blog').removeClass('active');
  jQuery('#search-all').addClass('active');
}

jQuery('#searchInput').on('input', function (e) {
  if ('' == this.value) {
    jQuery('#ama-search-result').hide();
    jQuery('body').removeClass('search-focused');
  } else {
    jQuery('#ama-search-result').show();
    jQuery('body').addClass('search-focused');
  }
});

jQuery('#searchInput').on('keyup', function (e) {
  if ('' == this.value) {
    jQuery('#ama-search-result').hide();
    jQuery('body').removeClass('search-focused');
  } else {
    jQuery('#ama-search-result').show();
    jQuery('body').addClass('search-focused');
  }
});

(function ($) {
  'use strict';

  //*=============menu sticky js =============*//
  let $window = $(window);
  var didScroll,
    lastScrollTop = 0,
    delta = 5,
    $mainNav = $('.sticky-nav').filter(':visible'),
    $body = $('body'),
    $mainNavHeight = $mainNav.outerHeight() + 15,
    scrollTop;

  $window.on('scroll', function () {
    didScroll = true;
    scrollTop = $(this).scrollTop();
  });

  setInterval(function () {
    if (didScroll) {
      if (Math.abs(lastScrollTop - scrollTop) <= delta) {
        return;
      }
      if (scrollTop > lastScrollTop && scrollTop > $mainNavHeight) {
        $mainNav
          .removeClass('fadeInDown')
          .addClass('fadeInUp')
          .css('top', -$mainNavHeight);
        $body.removeClass('remove').addClass('add');
      } else {
        if (scrollTop + $(window).height() < $(document).height()) {
          $mainNav
            .removeClass('fadeInUp')
            .addClass('fadeInDown')
            .css('top', 0)
            .addClass('gap');
          $body.removeClass('add').addClass('remove');
        }
      }
      lastScrollTop = scrollTop;
      didScroll = false;
    }
  }, 200);

  if ($('.sticky-nav').length) {
    $(window).scroll(function () {
      var scroll = $(window).scrollTop();
      if (scroll) {
        $('.sticky-nav').addClass('navbar_fixed');
        $('.sticky-nav-doc .body_fixed').addClass('body_navbar_fixed');
      } else {
        $('.sticky-nav').removeClass('navbar_fixed');
        $('.sticky-nav-doc .body_fixed').removeClass('body_navbar_fixed');
      }
    });
  }

  $(document).ready(function () {
    $(window).scroll(function () {
      if ($(document).scrollTop() > 500) {
        $('body').addClass('test');
      } else {
        $('body').removeClass('test');
      }
    });
  });

  /*-------------------------------------------------------------------------------
    Navbar Fixed
  -------------------------------------------------------------------------------*/
  function tabFixed() {
    var windowWidth = $(window).width();
    if ($('.header_tabs_area').length) {
      if (windowWidth > 576) {
        var tops = $('.header_tabs_area');
        var tabs = $('.header_tab_items').height() + 100;
        var leftOffset = tops.offset().top + tabs;

        $(window).on('scroll', function () {
          var scroll = $(window).scrollTop();
          if (scroll >= leftOffset) {
            tops.addClass('tab_fixed');
          } else {
            tops.removeClass('tab_fixed');
          }
        });
      }
    }
  }

  tabFixed();

  $('.count_div').on('click', function () {
    $('.count').html(function (i, val) {
      return val * 1 + 1;
    });
    $(this).addClass('active');
    return false;
  });

  /*  Menu Click js  */
  function Menu_js() {
    if ($('.submenu').length) {
      $('.submenu > .dropdown-toggle').click(function () {
        var location = $(this).attr('href');
        window.location.href = location;
        return false;
      });
    }
  }

  Menu_js();

  $('a[href="#"]').on('click', function (event) {
    event.preventDefault();
  });

  /*--------------- dropzone js--------*/
  if ($('#dropzone').length) {
    $('#dropzone').dropzone({
      paramName: 'file',
      url: 'upload-target',
      createImageThumbnails: false,
      previewsContainer: $('#dropzone-preview-container')[0],
      previewTemplate: $('#dropzone-preview-container')[0].innerHTML,
    });
  }

  /*--------------- slick js--------*/
  if ($('.doc_feedback_slider').length) {
    $('.doc_feedback_slider').slick({
      autoplay: true,
      slidesToShow: 1,
      slidesToScroll: 1,
      autoplaySpeed: 2000,
      speed: 1000,
      dots: false,
      arrows: true,
      prevArrow: '.prev',
      nextArrow: '.next',
    });
  }

  if ($('.news-slider').length) {
    $('.news-slider').slick({
      autoplay: true,
      slidesToShow: 3,
      slidesToScroll: 3,
      autoplaySpeed: 3000,
      speed: 1000,
      dots: true,
      arrows: false,
      infinite: true,
      responsive: [
        {
          breakpoint: 1200,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 2,
          },
        },
        {
          breakpoint: 670,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
          },
        },
      ],
    });
  }

  if ($('.forum-blog-slider').length) {
    $('.forum-blog-slider').slick({
      autoplay: true,
      slidesToShow: 3,
      slidesToScroll: 1,
      autoplaySpeed: 4000,
      speed: 1000,
      dots: false,
      arrows: true,
      infinite: true,
      prevArrow:
        '<button type="button" class="slick-prev"><i class="arrow_left "></i></button>',
      nextArrow:
        '<button type="button" class="slick-next"><i class="arrow_right"></i></button>',
      responsive: [
        {
          breakpoint: 1200,
          settings: {
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 670,
          settings: {
            slidesToShow: 1,
          },
        },
      ],
    });
  }

  if ($('.client-testimonial-slider').length) {
    $('.client-testimonial-slider').slick({
      centerMode: true,
      autoplay: false,

      centerPadding: null,
      slidesToShow: 3,
      slidesToScroll: 1,
      autoplaySpeed: 3000,
      speed: 1000,
      dots: false,
      arrows: true,
      infinite: true,
      prevArrow:
        '<button type="button" class="slick-prev"><i class="arrow_left "></i></button>',
      nextArrow:
        '<button type="button" class="slick-next"><i class="arrow_right"></i></button>',
      responsive: [
        {
          breakpoint: 992,
          settings: {
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 576,
          settings: {
            slidesToShow: 1,
          },
        },
      ],
    });
  }

  /*--------------- parallaxie js--------*/
  function parallax() {
    if ($('.parallaxie').length) {
      $('.parallaxie').parallaxie({
        speed: 0.5,
      });
    }
  }

  parallax();

  /*--------------- parallax js--------*/
  if ($('#badges-animation').length) {
    $('#badges-animation').parallax({
      scalarX: 9.0,
      scalarY: 0,
    });
  }

  /*--------------- mobile dropdown js--------*/
  function active_dropdown2() {
    $('.menu > li .mobile_dropdown_icon').on('click', function (e) {
      $(this).parent().find('ul').first().slideToggle(300);
      $(this).parent().siblings().find('ul').hide(300);
    });
  }

  active_dropdown2();

  /*--------------- counterUp js--------*/
  function counterUp() {
    if ($('.counter').length) {
      $('.counter').counterUp({
        delay: 1,
        time: 250,
      });
    }
  }

  counterUp();

  /*--------------- popup-js--------*/
  function popupGallery() {
    if ($('.img_popup').length) {
      $('.img_popup').each(function () {
        $('.img_popup').magnificPopup({
          type: 'image',
          closeOnContentClick: true,
          closeBtnInside: false,
          fixedContentPos: true,
          removalDelay: 300,
          mainClass: 'mfp-no-margins mfp-with-zoom',
          image: {
            enabled: true,
            navigateByImgClick: true,
            preload: [0, 1], // Will preload 0 - before current, and 1 after the current image,
          },
        });
      });
    }
  }

  popupGallery();

  /*-------------- magnific popup -------------*/
  if ($('.magnific-item').length) {
    $('.magnific-item').magnificPopup({
      mainClass: 'mfp-with-zoom',

      zoom: {
        enabled: true, // By default it's false, so don't forget to enable it

        duration: 300, // duration of the effect, in milliseconds
        easing: 'ease-in-out', // CSS transition easing function
      },
    });
  }

  /*--------- WOW js-----------*/
  function bodyScrollAnimation() {
    var scrollAnimate = $('body').data('scroll-animation');
    if (scrollAnimate === true) {
      new WOW({
        mobile: false,
      }).init();
    }
  }

  bodyScrollAnimation();

  $('.mobile_menu_btn').on('click', function () {
    $('.side_menu').addClass('menu-opened');
    $('body').removeClass('menu-is-closed').addClass('menu-is-opened');
  });

  $('.close_nav').on('click', function (e) {
    if ($('.side_menu').hasClass('menu-opened')) {
      $('.side_menu').removeClass('menu-opened');
      $('body').removeClass('menu-is-opened');
    } else {
      $('.side_menu').addClass('menu-opened');
    }
  });

  $('.click_capture').on('click', function () {
    $('body').removeClass('menu-is-opened').addClass('menu-is-closed');
    $('.side_menu').removeClass('menu-opened');
  });

  /*--------------- Tab button js--------*/
  $('.next').on('click', function () {
    $('.v_menu .nav-item > .active')
      .parent()
      .next('li')
      .find('a')
      .trigger('click');
  });

  $('.previous').on('click', function () {
    $('.v_menu .nav-item > .active')
      .parent()
      .prev('li')
      .find('a')
      .trigger('click');
  });

  function Click_menu_hover() {
    if ($('.tab-demo').length) {
      $.fn.tab = function (options) {
        var opts = $.extend({}, $.fn.tab.defaults, options);
        return this.each(function () {
          var obj = $(this);

          $(obj)
            .find('.tabHeader li')
            .on(opts.trigger_event_type, function () {
              $(obj).find('.tabHeader li').removeClass('active');
              $(this).addClass('active');

              $(obj).find('.tabContent .tab-pane').removeClass('active show');
              $(obj)
                .find('.tabContent .tab-pane')
                .eq($(this).index())
                .addClass('active show');
            });
        });
      };
      $.fn.tab.defaults = {
        trigger_event_type: 'click', //mouseover | click
      };
    }
  }

  Click_menu_hover();

  function Tab_menu_activator() {
    if ($('.tab-demo').length) {
      $('.tab-demo').tab({
        trigger_event_type: 'mouseover',
      });
    }
  }

  Tab_menu_activator();

  function fAqactive() {
    $('.doc_faq_info .card').on('click', function () {
      $('.doc_faq_info .card').removeClass('active');
      $(this).addClass('active');
    });
  }

  fAqactive();

  function chartJs() {
    var windowSize = $(window).width();

    if (windowSize <= 767) {
      var leg = true,
        ratio = false;
    } else {
      var leg = false,
        ratio = true;
    }

    var data = [
      {
        name: '35 out of 205 issues unanswered',
        value: 36,
      },
      {
        name: 'We are working on 42 out of 205 issues',
        value: 40,
      },
      {
        name: "20 Out of 205 issues haven't got a reply",
        value: 44,
      },
      {
        name: '90 Out of 205 issues resolved in last tow monthsSent',
        value: 50,
      },
    ];

    var labels = [];
    var datasets = [];
    var sent = data[0];
    var opened = data[1];
    var response = data[2];
    var secured = data[3];

    data.forEach(function (items) {
      labels.push(items.name);
    });

    datasets.push({
      data: [sent.value, opened.value, response.value, secured.value],
      backgroundColor: ['#f9327a', '#ecb939', '#35bae9', '#42dabf'],
      borderWidth: 0,
      label: [sent.name, opened.name, response.name, secured.name],
    });

    $('#cirle-chart').each(function () {
      var canvas = $('#cirle-chart');
      canvas.attr('height', 125);

      var chart = new Chart(canvas, {
        type: 'polarArea',
        borderWidth: 0,
        hover: false,
        data: {
          datasets: datasets,
          labels: labels,
        },

        options: {
          responsive: true,
          maintainAspectRatio: ratio,
          legend: {
            position: 'top',
            display: leg,
            fullWidth: false,
            padding: 10,
            align: 'start',
          },
          scale: {
            display: false,
          },
          tooltips: {
            enabled: false,
            backgroundColor: 'white',
            borderColor: '#868e96',
            borderWidth: 0.5,
            bodyFontColor: '#868e96',
            bodyFontSize: 14,
            bodySpacing: 5,
            caretSize: 0,
            cornerRadius: 0,
            displayColors: true,
            xPadding: 10,
            yPadding: 15,
          },
        },
      });
    });
  }

  $(window).on('load', function () {
    chartJs();
  });

  function general() {
    $('.short-by a').click(function () {
      $(this)
        .toggleClass('active-short')
        .siblings()
        .removeClass('active-short');
    });
  }

  general();

  $('.share_gropu .eye, .share_icon').click(function () {
    $('.share_gropu, .modal_social').addClass('active');
    return false;
  });
  $('.close_btn').click(function () {
    $('.share_gropu, .modal_social').removeClass('active');
    return false;
  });

  /*-------------------------------------
	Intersection Observer
	-------------------------------------*/
  if (!!window.IntersectionObserver) {
    let observer = new IntersectionObserver(
      (entries, observer) => {
        entries.forEach((entry) => {
          if (entry.isIntersecting) {
            entry.target.classList.add('active-animation');
            observer.unobserve(entry.target);
          }
        });
      },
      {
        rootMargin: '0px 0px -100px 0px',
      }
    );
    document.querySelectorAll('.has-animation').forEach((block) => {
      observer.observe(block);
    });
  } else {
    document.querySelectorAll('.has-animation').forEach((block) => {
      block.classList.remove('has-animation');
    });
  }

  // === Image Magnify
  if ($('.zoom').length) {
    $('.zoom').magnify({
      afterLoad: function () {
        console.log('Magnification powers activated!');
      },
    });
  }

  // === Focus Search Form
  $(document).on('keydown', function (e) {
    if (e.keyCode === 191) {
      e.preventDefault();
      $('input[type=search]').focus();
    }
  });

  let doc_banner_area = $('.has_search input[type=search]');
  doc_banner_area.on('focus', function () {
    $('body').addClass('search-focused');
    $(
      '.header_search_form_info .input-wrapper, .banner-search-box .input-wrapper'
    ).css('z-index', '999');
  });

  doc_banner_area.on('focusout', function () {
    $('body').removeClass('search-focused');
    $('.header_search_form_info .input-wrapper').removeAttr('style');
    $('.has_search').removeAttr('style');
  });

  // === Back to Top Button
  var back_top_btn = $('#back-to-top');

  $(window).scroll(function () {
    if ($(window).scrollTop() > 300) {
      back_top_btn.addClass('show');
    } else {
      back_top_btn.removeClass('show');
    }
  });

  back_top_btn.on('click', function (e) {
    e.preventDefault();
    $('html, body').animate({ scrollTop: 0 }, '300');
  });

  /**
   * OS select dropdown
   */
  // niceSelect js
  function select() {
    if ($('.custom-select, .nice_select').length) {
      $('.custom-select, .nice_select').niceSelect();
    }
    if ($('#mySelect').length) {
      $('#mySelect').selectpicker();
    }
  }

  select();

  if ($('.doc_testimonial_area').length) {
    $('.doc_testimonial_slider').slick({
      autoplay: false,
      slidesToShow: 1,
      slidesToScroll: 1,
      autoplaySpeed: 2000,
      speed: 1000,
      dots: false,
      arrows: true,
      asNavFor: '.doc_img_slider',

      prevArrow: '.c_slide_prev',
      nextArrow: '.c_slide_next',
    });
    $('.doc_img_slider').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      asNavFor: '.doc_testimonial_slider',
      arrows: false,
      fade: true,
      focusOnSelect: true,
    });
    var getSlickItem = $('.doc_testimonial_slider').slick('getSlick');
    if (getSlickItem.currentSlide < 9) {
      $('.current_slide').text(`0${getSlickItem.currentSlide + 1}`);
    } else {
      $('.current_slide').text(getSlickItem.currentSlide + 1);
    }
    if (getSlickItem.getDotCount() < 9) {
      $('.total_slide').text(`0${getSlickItem.getDotCount() + 1}`);
    } else {
      $('.total_slide').text(getSlickItem.getDotCount() + 1);
    }

    $('.doc_testimonial_slider').on(
      'beforeChange',
      function (event, slick, currentSlide, nextSlide) {
        if (nextSlide < 9) {
          $('.current_slide').text(`0${nextSlide + 1}`);
        } else {
          $('.current_slide').text(nextSlide + 1);
        }
      }
    );
  }

  $('.header_search_keyword ul li a').on('click', function (e) {
    e.preventDefault();
    var content = $(this).text();
    $('#searchbox').val(content).focus();
    $('.input-wrapper input')
      .parent()
      .find('.header_search_form_panel')
      .first()
      .slideDown(300);
  });

  $('.input-wrapper input').focusout(function () {
    $(this).parent().find('.header_search_form_panel').first().slideUp(300);
  });

  function capitalizeFirstLetter(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
  }

  function convertToTitle(Text) {
    let title = Text.replaceAll('-', ' ');
    return capitalizeFirstLetter(title);
  }

  function onThisPageTitles(divs) {
    var titles = [];
    jQuery(divs).each(function () {
      titles.push(jQuery(this).attr('id'));
    });
    titles.forEach(onThisPage);

    function onThisPage(item, index) {
      if ($('#navbar-example3').length) {
        document.getElementById('navbar-example3').innerHTML +=
          "<a class='nav-link' href='#" +
          item +
          "'>" +
          convertToTitle(item) +
          '</a>';
      }
    }
  }

  $('.shadow-sm').hover(
    function () {
      $(this).addClass('shadow-lg');
    },
    function () {
      $(this).removeClass('shadow-lg');
    }
  );
})(jQuery);
