<?php

/**
 * Archive Topic Content Part
 *
 * @package bbPress
 * @subpackage Ama theme
 */

$opt = get_option( 'ama_opt' );

defined( 'ABSPATH' ) || exit;
$is_topic_top_c2a = $opt['is_topic_top_c2a'] ?? '';
$main_column      = is_active_sidebar( 'forum_archive_sidebar' ) ? '8' : '12';
?>


<div id="bbpress-forums" class="bbpress-wrapper">
    <div class="row">
        <div class="col-lg-<?php echo esc_attr( $main_column ) ?>">
			<?php do_action( 'bbp_template_before_topic_tag_description' ); ?>

			<?php
			if ( bbp_is_topic_tag() ) :
				bbp_topic_tag_description( array( 'before' => '<div class="bbp-template-notice info"><ul><li>', 'after' => '</li></ul></div>' ) );
			endif;

			do_action( 'bbp_template_after_topic_tag_description' );
			do_action( 'bbp_template_before_topics_index' );

			if ( $is_topic_top_c2a ) {
				get_template_part( 'template-parts/forum/c2a-top' );
			}

			if ( bbp_has_topics() ) :
				bbp_get_template_part( 'pagination', 'topics' );
				bbp_get_template_part( 'loop', 'topics' );
				bbp_get_template_part( 'pagination', 'topics' );
			else :

				bbp_get_template_part( 'feedback', 'no-topics' );
			endif;

			do_action( 'bbp_template_after_topics_index' );
			?>
        </div>

		<?php get_sidebar( 'forum' ); ?>
    </div>
</div>
