<?php

/**
 * Pagination for pages of topics (when viewing a forum)
 *
 * @package bbPress
 * @subpackage Theme
 */

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

$pagination_count = bbp_get_forum_pagination_count();
$pagination_links = bbp_get_forum_pagination_links();

do_action( 'bbp_template_before_pagination_loop' ); ?>

    <div class="pagination-wrapper">
		<?php if ( $pagination_count ): ?>
            <div class="view-post-of">
                <p><?php bbp_forum_pagination_count(); ?></p>
            </div>
		<?php endif; ?>

		<?php if ( $pagination_links ): ?>
            <div class="bbp-pagination">
				<?php bbp_forum_pagination_links(); ?>
            </div>
		<?php endif; ?>
    </div>

<?php do_action( 'bbp_template_after_pagination_loop' );
