<?php
// Register Widget areas
add_action( 'widgets_init', function () {
	$opt = get_option( 'ama_opt' );
	register_sidebar( array(
		'name'          => esc_html__( 'Primary Sidebar', 'ama' ),
		'description'   => esc_html__( 'Place widgets in sidebar widgets area.', 'ama' ),
		'id'            => 'sidebar_widgets',
		'before_widget' => '<div id="%1$s" class="widget sidebar_widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="c_head">',
		'after_title'   => '</h3>'
	) );

	if ( class_exists( 'bbPress' ) ) {
		register_sidebar( array(
			'name'          => esc_html__( 'Forum Sidebar', 'ama' ),
			'description'   => esc_html__( 'Add widgets here for the Forum Archive Sidebar area', 'ama' ),
			'id'            => 'forum_archive_sidebar',
			'before_widget' => '<div id="%1$s" class="widget sidebar_widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="c_head">',
			'after_title'   => '</h3>'
		) );
	}

	if ( class_exists( 'Ama_core' ) ) {
		$footer_column = ! empty( $opt['footer_column'] ) ? $opt['footer_column'] : '3';
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Widgets', 'ama' ),
			'description'   => esc_html__( 'Add widgets here for Footer widgets area', 'ama' ),
			'id'            => 'footer_widgets',
			'before_widget' => '<div id="%1$s" class="footer_widget col-lg-' . $footer_column . ' col-md-6"> <div class="footer-widget pr-20 %2$s">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h6 class="widget-title mb-4">',
			'after_title'   => '</h6>'
		) );
	}
} );