<?php

Redux::set_section( 'ama_opt', array(
	'title'  => esc_html__( '404 Error Settings', 'ama' ),
	'id'     => '404_0pt',
	'icon'   => 'dashicons dashicons-info',
	'fields' => array(
		array(
			'title'   => esc_html__( 'Title Text', 'ama' ),
			'id'      => 'error_heading',
			'type'    => 'text',
			'default' => esc_html__( "Error. We can’t find the page you’re looking for.", 'ama' ),
		),

		array(
			'title'   => esc_html__( 'Subtitle', 'ama' ),
			'id'      => 'error_subtitle',
			'type'    => 'textarea',
			'default' => esc_html__( 'Sorry for the inconvenience. Go to our homepage or check out our latest collections for Fashion, Chair, Decoration...', 'ama' ),
		),

		array(
			'title'   => esc_html__( 'Home Button Title', 'ama' ),
			'id'      => 'error_home_btn_label',
			'type'    => 'text',
			'default' => esc_html__( 'Back to Home Page', 'ama' ),
		),

		array(
			'id'     => 'btn_font_color',
			'type'   => 'color',
			'title'  => esc_html__( 'Button Text Color', 'ama' ),
			'output' => array(
				'color' => '.error_area .action_btn',
			),
		),

		array(
			'id'     => 'btn_bg_color',
			'type'   => 'color',
			'title'  => esc_html__( 'Button Background Color', 'ama' ),
			'output' => array(
				'background' => '.error_area .action_btn',
			),
		),

		array(
			'title'    => esc_html__( 'Background shape', 'ama' ),
			'subtitle' => esc_html__( 'Upload here the default background shape image', 'ama' ),
			'id'       => 'error_bg_shape_image',
			'type'     => 'media',
			'compiler' => true,
			'default'  => [
				'url' => AMA_DIR_IMG . '/error_bg.svg'
			]
		),
	)
) );
