<?php
// Footer settings
Redux::set_section( 'ama_opt', array(
	'title'  => esc_html__( 'Footer', 'ama' ),
	'id'     => 'ama_footer',
	'icon'   => 'dashicons dashicons-arrow-down-alt2',
	'fields' => array(

		array(
			'id'       => 'is_footer_columns_preset',
			'type'     => 'switch',
			'title'    => esc_html__( 'Preset Columns', 'ama' ),
			'subtitle' => esc_html__( 'If you enable this switcher, the Footer Widget columns will set as preset (33.33% + 16.66% + 25% + 25%) on the demo of Ama.', 'ama' ),
			'on'       => esc_html__( 'Yes', 'ama' ),
			'off'      => esc_html__( 'No', 'ama' ),
			'default'  => true,
		),

		array(
			'title'    => esc_html__( 'Footer Column', 'ama' ),
			'id'       => 'footer_column',
			'type'     => 'select',
			'default'  => '3',
			'options'  => array(
				'6' => esc_html__( 'Two Column', 'ama' ),
				'4' => esc_html__( 'Three Column', 'ama' ),
				'3' => esc_html__( 'Four Column', 'ama' ),
			),
			'required' => array(
				array(
					'is_footer_columns_preset',
					'=',
					''
				),
			)
		),

		array(
			'title'          => esc_html__( 'Padding', 'ama' ),
			'subtitle'       => esc_html__( 'Padding around the footer columns (Top Right Bottom Left)', 'ama' ),
			'id'             => 'footer_column_padding',
			'type'           => 'spacing',
			'output'         => array( '.footer-top' ),
			'mode'           => 'padding',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'default'        => array(
				'units' => 'px'
			)
		),
	)
) );


// Footer settings
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Font colors', 'ama' ),
	'id'         => 'ama_footer_font_colors',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'title'  => esc_html__( 'Widget Title Color', 'ama' ),
			'id'     => 'widget_title_color',
			'type'   => 'color',
			'output' => array( '.footer-3 .footer-widget .widget-title' )
		),
		array(
			'title'  => esc_html__( 'Normal Font color', 'ama' ),
			'id'     => 'footer_top_normal_font_color',
			'type'   => 'color_rgba',
			'output' => array( '.footer-3 .footer-widget ul li a,.footer-3 .widget.widget_nav_menu ul li a' )
		),
		array(
			'title'  => esc_html__( 'Hover Font color', 'ama' ),
			'id'     => 'footer_top_hover_font_color',
			'type'   => 'color_rgba',
			'output' => array( ' .footer-3 .footer-widget ul li a:hover,.footer-3 .footer_top .widget.widget_nav_menu ul li a:hover' )
		),
	)
) );

// Footer background
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Background', 'ama' ),
	'id'         => 'ama_footer_background',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(

		array(
			'title'    => esc_html__( 'Object 01', 'ama' ),
			'subtitle' => esc_html__( 'This object positioned at the left side of the footer.', 'ama' ),
			'id'       => 'f_arrow',
			'type'     => 'media',
			'default'  => array(
				'url' => AMA_DIR_IMG . '/footer/shape-1.png'
			)
		),

		array(
			'title'    => esc_html__( 'Object 02', 'ama' ),
			'subtitle' => esc_html__( 'This object positioned at the right side of the footer.', 'ama' ),
			'id'       => 'f_plant',
			'type'     => 'media',
			'default'  => array(
				'url' => AMA_DIR_IMG . '/footer/shape-2.png'
			)
		),

		array(
			'title'  => esc_html__( 'Background Color', 'ama' ),
			'id'     => 'footer_top_bg_color',
			'type'   => 'color',
			'output' => array( '.footer-3' ),
			'mode'   => 'background'
		),

	)
) );

// Footer settings
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Footer Bottom', 'ama' ),
	'id'         => 'ama_footer_btm',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'title'   => esc_html__( 'Copyright Text', 'ama' ),
			'id'      => 'copyright_txt',
			'type'    => 'editor',
			'default' => esc_html__( '© 2022 All Rights Reserved by Spider-Themes', 'ama' ),
			'args'    => array(
				'wpautop'       => true,
				'media_buttons' => false,
				'textarea_rows' => 10,
				'teeny'         => false,
				'quicktags'     => false,
			)
		),
		array(
			'title'         => esc_html__( 'Links', 'ama' ),
			'id'            => 'footer_btm_links',
			'type'          => 'slides',
			'content_title' => esc_html__( 'Links', 'ama' ),
			'show'          => array(
				'title'       => true,
				'description' => false,
				'url'         => true,
			),
		),
	)
) );