<?php
Redux::set_section(
	'ama_opt',
	[
		'title' => esc_html__( 'Forums', 'ama' ),
		'id'    => 'forums_opt',
		'icon'  => 'dashicons dashicons-buddicons-forums',
	]
);

/**
 * Forum archive settings
 */
Redux::set_section(
	'ama_opt',
	[
		'title'      => esc_html__( 'Forum Archive', 'ama' ),
		'id'         => 'forum_archive_opt',
		'icon'       => '',
		'subsection' => true,
		'fields'     => [
			[
				'title'   => esc_html__( 'Top Call to Action', 'ama' ),
				'id'      => 'is_forum_top_c2a',
				'type'    => 'switch',
				'on'      => esc_html__( 'Show', 'ama' ),
				'off'     => esc_html__( 'Hide', 'ama' ),
				'default' => '1',
			],

			/**
			 * Top Call to Action
			 */
			[
				'title'    => esc_html__( 'Top Call to Action Controls', 'ama' ),
				'id'       => 'forum_top_c2a-start',
				'type'     => 'section',
				'indent'   => true,
				'required' => [ 'is_forum_top_c2a', '=', '1' ],
			],

			[
				'title'    => esc_html__( 'Left Featured Image', 'ama' ),
				'id'       => 'forum_top_c2a_logo',
				'type'     => 'media',
				'compiler' => true,
				'default'  => [
					'url' => AMA_DIR_IMG . '/forum/answer.png',
				],
			],

			[
				'title'   => esc_html__( 'Title', 'ama' ),
				'id'      => 'forum_top_c2a_title',
				'type'    => 'text',
				'default' => esc_html__( 'Can’t find an answer?', 'ama' ),
			],

			[
				'title'   => esc_html__( 'Subtitle', 'ama' ),
				'id'      => 'forum_top_c2a_subtitle',
				'type'    => 'text',
				'default' => esc_html__( 'Make use of a qualified tutor to get the answer', 'ama' ),
			],

			[
				'title'   => esc_html__( 'Button Title', 'ama' ),
				'id'      => 'forum_top_c2a_btn_title',
				'type'    => 'text',
				'default' => esc_html__( 'Ask a Question', 'ama' ),
			],
			[
				'title'   => esc_html__( 'Button URL', 'ama' ),
				'id'      => 'forum_top_c2a_btn_url',
				'type'    => 'text',
				'default' => '#',
			],

			[
				'id'     => 'forum_top_c2a-end',
				'type'   => 'section',
				'indent' => false,
			],

			/**
			 * Bottom Call to Action
			 */
			[
				'title'   => esc_html__( 'Bottom Call to Action', 'ama' ),
				'id'      => 'is_forum_btm_c2a',
				'type'    => 'switch',
				'on'      => esc_html__( 'Show', 'ama' ),
				'off'     => esc_html__( 'Hide', 'ama' ),
				'default' => '1',
			],
			[
				'title'    => esc_html__( 'Bottom Call to Action', 'ama' ),
				'subtitle' => esc_html__( 'Control here the bottom Call to Action area of the Forum archive pages.', 'ama' ),
				'id'       => 'forum_btm_c2a-start',
				'type'     => 'section',
				'indent'   => true,
				'required' => [ 'is_forum_btm_c2a', '=', '1' ],
			],
			[
				'title'    => esc_html__( 'Left Featured Image', 'ama' ),
				'id'       => 'forum_btm_c2a_logo',
				'type'     => 'media',
				'compiler' => true,
				'default'  => [
					'url' => AMA_DIR_IMG . '/forum/chat-smile.png',
				],
			],
			[
				'title'    => esc_html__( 'Background Image', 'ama' ),
				'id'       => 'forum_btm_c2a_bg',
				'type'     => 'media',
				'compiler' => true,
				'default'  => [
					'url' => AMA_DIR_IMG . '/forum/overlay_bg.png',
				],
			],

			[
				'title'   => esc_html__( 'Title', 'ama' ),
				'id'      => 'forum_btm_c2a_title',
				'type'    => 'text',
				'default' => esc_html__( 'New to Communities?', 'ama' ),
			],

			[
				'title'   => esc_html__( 'Button Title', 'ama' ),
				'id'      => 'forum_btm_c2a_btn_title',
				'type'    => 'text',
				'default' => esc_html__( 'Join the community ', 'ama' ),
			],
			[
				'id'     => 'forum_btm_c2a-end',
				'type'   => 'section',
				'indent' => false,
			],
		],
	]
);

/**
 * Forum topics archive
 */
Redux::set_section(
	'ama_opt',
	[
		'title'      => esc_html__( 'Topics Archive', 'ama' ),
		'id'         => 'topics_archive_opt',
		'icon'       => '',
		'subsection' => true,
		'fields'     => [
			[
				'title'   => esc_html__( 'Forums', 'ama' ),
				'id'      => 'is_forum_grid',
				'desc'    => esc_html__( 'Forums at the top of topics archive page.', 'ama' ),
				'type'    => 'switch',
				'on'      => esc_html__( 'Show', 'ama' ),
				'off'     => esc_html__( 'Hide', 'ama' ),
				'default' => '1',
			],

			[
				'title'         => esc_html__( 'Forums', 'ama' ),
				'desc'          => esc_html__( 'Forums to show above the topics list.', 'ama' ),
				'id'            => 'forums_ppp_in_topics',
				'type'          => 'slider',
				'default'       => 4,
				'min'           => 4,
				'step'          => 1,
				'max'           => 50,
				'display_value' => 'label',
			],

			[
				'title'   => esc_html__( 'Top Call to Action', 'ama' ),
				'id'      => 'is_topic_top_c2a',
				'desc'    => esc_html__( 'Call to action at the top of the page', 'ama' ),
				'type'    => 'switch',
				'on'      => esc_html__( 'Show', 'ama' ),
				'off'     => esc_html__( 'Hide', 'ama' ),
				'default' => '1',
			],
		],
	]
);


/**
 * Forum topics details
 */
Redux::set_section(
	'ama_opt',
	[
		'title'      => esc_html__( 'Topic Details', 'ama' ),
		'id'         => 'topic_details_opt',
		'icon'       => '',
		'subsection' => true,
		'fields'     => [
			[
				'title'   => esc_html__( 'Replies Order', 'ama' ),
				'id'      => 'reply_order',
				'type'    => 'select',
				'default' => 'DESC',
				'options' => [
					'ASC'  => esc_html__( 'Ascending', 'ama' ),
					'DESC' => esc_html__( 'Descending', 'ama' ),
				],
			],
		],
	]
);
