<?php
Redux::set_section( 'ama_opt', array(
	'title' => esc_html__( 'General', 'ama' ),
	'id'    => 'general_settings',
	'icon'  => 'dashicons dashicons-admin-generic',
) );

Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Preloader', 'ama' ),
	'id'         => 'preloader_opt',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'is_preloader',
			'type'    => 'switch',
			'title'   => esc_html__( 'Pre-loader', 'ama' ),
			'on'      => esc_html__( 'Enable', 'ama' ),
			'off'     => esc_html__( 'Disable', 'ama' ),
			'default' => true,
		),

		array(
			'title'    => esc_html__( 'Enable Pre-loader on', 'ama' ),
			'id'       => 'preloader_pages',
			'type'     => 'select',
			'options'  => [
				'all'            => esc_html__( 'All Pages', 'ama' ),
				'specific_pages' => esc_html__( 'Specific Pages', 'ama' ),
			],
			'default'  => 'all',
			'required' => array(
				array( 'is_preloader', '=', '1' ),
			)
		),

		array(
			'title'    => esc_html__( 'Page IDs', 'ama' ),
			'subtitle' => esc_html__( "Input the multiple page IDs in comma separated format.", 'ama' ),
			'desc'     => sprintf( esc_html__( '%s How to find page ID %s', 'ama' ), '<a href="https://is.gd/xM75oQ" target="_blank">', '</a>' ),
			'id'       => 'preloader_page_ids',
			'type'     => 'text',
			'required' => array(
				array( 'is_preloader', '=', '1' ),
				array( 'preloader_pages', '=', 'specific_pages' ),
			)
		),

		/**
		 * Preloader Logo
		 */
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'id'       => 'preloader_logo',
			'type'     => 'media',
			'title'    => esc_html__( 'Pre-loader Logo', 'ama' ),
			'compiler' => true,
			'default'  => array(
				'url' => AMA_DIR_IMG . '/spinner_logo.png'
			)
		),
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'id'       => 'logo_title',
			'type'     => 'text',
			'title'    => esc_html__( 'Logo Title', 'ama' ),
			'default'  => get_bloginfo( 'name' )
		),
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'title'    => esc_html__( 'Logo Title Color', 'ama' ),
			'id'       => 'preloader_logo_title_color',
			'type'     => 'color',
			'output'   => array( '#preloader .round_spinner h4' ),
		),

		/**
		 * Preloader Title
		 */
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'id'       => 'preloader_title',
			'type'     => 'text',
			'title'    => esc_html__( 'Preloader Title', 'ama' ),
			'default'  => 'Did You Know?'
		),
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'title'    => esc_html__( 'Preloader Title Color', 'ama' ),
			'id'       => 'preloader_title_color',
			'type'     => 'color',
			'output'   => array( '#preloader .head' ),
		),

		/**
		 * Preloader Quotes
		 */
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'id'       => 'preloader_quotes',
			'type'     => 'multi_text',
			'title'    => esc_html__( 'Quotes', 'ama' ),
			'subtitle' => esc_html__( 'The quotes will display randomly under the title.', 'ama' ),
			'default'  => 'Did You Know?'
		),
		array(
			'required' => array( 'is_preloader', '=', '1' ),
			'title'    => esc_html__( 'Preloader Quotes Color', 'ama' ),
			'id'       => 'preloader_quotes_color',
			'type'     => 'color',
			'output'   => array( '#preloader p' ),
		),
	)
) );


/**
 * Back to Top settings
 */
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Back to Top', 'ama' ),
	'id'         => 'back_to_top_btn',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'title'    => esc_html__( 'Back to Top Button', 'ama' ),
			'subtitle' => esc_html__( 'Show/hide back to top button globally settings', 'ama' ),
			'id'       => 'is_back_to_top_btn_switcher',
			'type'     => 'switch',
			'on'       => esc_html__( 'Show', 'ama' ),
			'off'      => esc_html__( 'Hide', 'ama' ),
			'default'  => '1',
		),

		/**
		 * Button Normal Colors
		 */
		array(
			'id'       => 'normal_color_start',
			'type'     => 'section',
			'title'    => esc_html__( 'Normal Color', 'ama' ),
			'indent'   => true,
			'required' => array( 'is_back_to_top_btn_switcher', '=', 1 )
		),
		array(
			'title'  => esc_html__( 'Icon Color', 'ama' ),
			'id'     => 'back_to_top_btn_icon_color',
			'type'   => 'color',
			'output' => array(
				'color' => '#back-to-top::after'
			),
		),
		array(
			'title'  => esc_html__( 'Background Color', 'ama' ),
			'id'     => 'back_to_top_btn_bg_color',
			'type'   => 'color_rgba',
			'output' => array(
				'background-color' => '#back-to-top'
			),
		),
		array(
			'id'     => 'normal_color_end',
			'type'   => 'section',
			'indent' => true
		),

		/**
		 * Button Hover Colors
		 */
		array(
			'id'       => 'hover_color_start',
			'type'     => 'section',
			'title'    => esc_html__( 'Hover Color', 'ama' ),
			'indent'   => true,
			'required' => array( 'is_back_to_top_btn_switcher', '=', 1 )
		),
		array(
			'title'  => esc_html__( 'Icon Color', 'ama' ),
			'id'     => 'back_to_top_btn_icon_hover_color',
			'type'   => 'color',
			'output' => array(
				'color' => '#back-to-top:hover::after'
			),
		),
		array(
			'title'  => esc_html__( 'Background Color', 'ama' ),
			'id'     => 'back_to_top_btn_bg_hover_color',
			'type'   => 'color_rgba',
			'output' => array(
				'background-color' => '#back-to-top:hover'
			),
		),
		array(
			'id'     => 'hover_color_end',
			'type'   => 'section',
			'indent' => true
		),
	)
) );

/**
 * Ajax Search settings
 */
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Ajax Search', 'ama' ),
	'id'         => 'ajax_search_opt',
	'icon'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'title'    => esc_html__( 'Ajax Search Result Limit', 'ama' ),
			'subtitle' => esc_html__( 'This will limit the doc sections and articles in Ajax live search results. Input -1 for show all results.', 'ama' ),
			'id'       => 'doc_result_limit',
			'type'     => 'text',
			'default'  => '-1',
		),
		array(
			'id'       => 'is_ajax_search_tab',
			'type'     => 'switch',
			'title'    => esc_html__( 'Tab Filters', 'ama' ),
			'subtitle' => esc_html__( 'If you disable it, all results will be shown by default', 'ama' ),
			'on'       => esc_html__( 'Enable', 'ama' ),
			'off'      => esc_html__( 'Disable', 'ama' ),
			'default'  => true,
		),
	)
) );