<?php
// Header Section
Redux::set_section( 'ama_opt', array(
	'title'            => esc_html__( 'Header', 'ama' ),
	'id'               => 'header_sec',
	'customizer_width' => '400px',
	'icon'             => 'dashicons dashicons-arrow-up-alt2',
) );

// Logo
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Logo', 'ama' ),
	'id'         => 'logo_opt',
	'subsection' => true,
	'icon'       => '',
	'fields'     => array(
		array(
			'title'    => esc_html__( 'Black Logo', 'ama' ),
			'subtitle' => esc_html__( 'Upload here the black version of your logo.', 'ama' ),
			'id'       => 'main_logo',
			'type'     => 'media',
			'compiler' => true,
			'default'  => array(
				'url' => AMA_DIR_IMG . '/logo.png'
			)
		),

		array(
			'title'    => esc_html__( 'White Logo', 'ama' ),
			'subtitle' => esc_html__( 'Upload here the white version of your logo.', 'ama' ),
			'id'       => 'sticky_logo',
			'type'     => 'media',
			'compiler' => true,
			'default'  => array(
				'url' => AMA_DIR_IMG . '/logo-w.png'
			)
		),

		array(
			'title'    => esc_html__( 'Black Retina Logo', 'ama' ),
			'subtitle' => esc_html__( 'The retina logo should be double (2x) of your original logo size.', 'ama' ),
			'id'       => 'retina_logo',
			'type'     => 'media',
			'compiler' => true,
			'default'  => array(
				'url' => AMA_DIR_IMG . '/logo-2x.png'
			)
		),

		array(
			'title'    => esc_html__( 'White Retina Logo', 'ama' ),
			'subtitle' => esc_html__( 'The retina logo should be double (2x) of your original logo size.', 'ama' ),
			'id'       => 'retina_sticky_logo',
			'type'     => 'media',
			'compiler' => true,
			'default'  => array(
				'url' => AMA_DIR_IMG . '/logo-w2x.png'
			)
		),

		array(
			'title'    => esc_html__( 'Logo dimensions', 'ama' ),
			'subtitle' => esc_html__( 'Set a custom height width for your upload logo.', 'ama' ),
			'id'       => 'logo_dimensions',
			'type'     => 'dimensions',
			'units'    => array( 'em', 'px', '%' ),
			'output'   => '.navbar-brand>img'
		),

		array(
			'title'          => esc_html__( 'Padding', 'ama' ),
			'subtitle'       => esc_html__( 'Padding around the logo. Input the padding as clockwise (Top Right Bottom Left)', 'ama' ),
			'id'             => 'logo_padding',
			'type'           => 'spacing',
			'output'         => array( '.header_area .navbar-brand' ),
			'mode'           => 'padding',
			'units'          => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
			'units_extended' => 'true',
		),
	)
) );

/**
 * Action button
 */
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Action Button', 'ama' ),
	'id'         => 'menu_action_btn_opt',
	'subsection' => true,
	'icon'       => '',
	'fields'     => array(
		array(
			'title' => esc_html__( 'Button Visibility', 'ama' ),
			'id'    => 'is_menu_btn',
			'type'  => 'switch',
			'on'    => esc_html__( 'Show', 'ama' ),
			'off'   => esc_html__( 'Hide', 'ama' ),
		),

		array(
			'title'    => esc_html__( 'Button label', 'ama' ),
			'subtitle' => esc_html__( 'Leave the button label field empty to hide the menu action button.', 'ama' ),
			'id'       => 'menu_btn_label',
			'type'     => 'text',
			'default'  => esc_html__( 'Get Started', 'ama' ),
			'required' => array( 'is_menu_btn', '=', '1' )
		),

		array(
			'title'    => esc_html__( 'Button URL', 'ama' ),
			'id'       => 'menu_btn_url',
			'type'     => 'text',
			'default'  => '#',
			'required' => array( 'is_menu_btn', '=', '1' )
		),

		array(
			'title'    => esc_html__( 'Button URL Target', 'ama' ),
			'id'       => 'menu_btn_target',
			'type'     => 'select',
			'options'  => array(
				'_blank' => esc_html__( 'Blank (Open in new tab)', 'ama' ),
				'_self'  => esc_html__( 'Self (Open in the same tab)', 'ama' ),
			),
			'default'  => '_self',
			'required' => array( 'is_menu_btn', '=', '1' )
		),

		array(
			'title'          => esc_html__( 'Button padding', 'ama' ),
			'subtitle'       => esc_html__( 'Padding around the menu action button.', 'ama' ),
			'id'             => 'menu_btn_padding',
			'type'           => 'spacing',
			'output'         => array( '.nav_btn' ),
			'mode'           => 'padding',
			'units'          => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
			'units_extended' => 'true',
			'required'       => array( 'is_menu_btn', '=', '1' )
		),

		/**
		 * Button colors
		 * Style will apply on the Non sticky mode and sticky mode of the header
		 */
		array(
			'title'    => esc_html__( 'Button Colors', 'ama' ),
			'subtitle' => esc_html__( 'Button style attributes on normal (non sticky) mode.', 'ama' ),
			'id'       => 'button_colors',
			'type'     => 'section',
			'indent'   => true,
			'required' => array( 'is_menu_btn', '=', '1' ),
		),

		array(
			'title'  => esc_html__( 'Font color', 'ama' ),
			'id'     => 'menu_btn_font_color',
			'type'   => 'color',
			'output' => array( '.navbar .nav_btn' ),
		),

		array(
			'title'  => esc_html__( 'Border Color', 'ama' ),
			'id'     => 'menu_btn_border_color',
			'type'   => 'color',
			'mode'   => 'border-color',
			'output' => array( '.right-nav .nav_btn.tp_btn' ),
		),

		array(
			'title'  => esc_html__( 'Background Color', 'ama' ),
			'id'     => 'menu_btn_bg_color',
			'type'   => 'color',
			'mode'   => 'background',
			'output' => array( '.right-nav .nav_btn.tp_btn' ),
		),

		// Button color on hover stats
		array(
			'title'    => esc_html__( 'Hover Font Color', 'ama' ),
			'subtitle' => esc_html__( 'Font color on hover stats.', 'ama' ),
			'id'       => 'menu_btn_hover_font_color',
			'type'     => 'color',
			'output'   => array( '.right-nav .nav_btn.tp_btn:hover' ),
		),
		array(
			'title'    => esc_html__( 'Hover Border Color', 'ama' ),
			'subtitle' => esc_html__( 'Border color on hover stats.', 'ama' ),
			'id'       => 'menu_btn_hover_border_color',
			'type'     => 'color',
			'mode'     => 'border-color',
			'output'   => array( '.right-nav .nav_btn.tp_btn:hover' ),
		),
		array(
			'title'    => esc_html__( 'Hover background color', 'ama' ),
			'subtitle' => esc_html__( 'Background color on hover stats.', 'ama' ),
			'id'       => 'menu_btn_hover_bg_color',
			'type'     => 'color',
			'output'   => array(
				'background'   => '.right-nav .nav_btn.tp_btn:hover',
				'border-color' => '.navbar_fixed .navbar .nav_btn:hover'
			),
		),

		array(
			'id'     => 'button_colors-end',
			'type'   => 'section',
			'indent' => false,
		),

		/*
		 * Button colors on sticky mode
		 */
		array(
			'title'    => esc_html__( 'Sticky Button Style', 'ama' ),
			'subtitle' => esc_html__( 'Button colors on sticky mode.', 'ama' ),
			'id'       => 'button_colors_sticky',
			'type'     => 'section',
			'indent'   => true,
			'required' => array( 'is_menu_btn', '=', '1' ),
		),
		array(
			'title'    => esc_html__( 'Border color', 'ama' ),
			'subtitle' => esc_html__( 'Border color on header sticky mode.', 'ama' ),
			'id'       => 'menu_btn_border_color_sticky',
			'type'     => 'color',
			'mode'     => 'border-color',
			'output'   => array( '.navbar.navbar_fixed .right-nav .nav_btn.tp_btn' ),
		),
		array(
			'title'    => esc_html__( 'Font color', 'ama' ),
			'subtitle' => esc_html__( 'Font color on header sticky mode.', 'ama' ),
			'id'       => 'menu_btn_font_color_sticky',
			'type'     => 'color',
			'output'   => array( '.navbar_fixed.navbar .right-nav .nav_btn.tp_btn' ),
		),
		array(
			'title'    => esc_html__( 'Background color', 'ama' ),
			'subtitle' => esc_html__( 'Background color on header sticky mode.', 'ama' ),
			'id'       => 'menu_btn_bg_color_sticky',
			'type'     => 'color',
			'mode'     => 'background',
			'output'   => array( '.navbar_fixed.navbar .right-nav .nav_btn.tp_btn' ),
		),

		// Button color on hover stats
		array(
			'title'    => esc_html__( 'Hover font color', 'ama' ),
			'subtitle' => esc_html__( 'Font hover color on Header sticky mode.', 'ama' ),
			'id'       => 'menu_btn_hover_font_color_sticky',
			'type'     => 'color',
			'output'   => array( '.navbar.navbar_fixed .right-nav .nav_btn.tp_btn:hover' ),
		),
		array(
			'title'    => esc_html__( 'Hover background color', 'ama' ),
			'subtitle' => esc_html__( 'Background hover color on Header sticky mode..', 'ama' ),
			'id'       => 'menu_btn_hover_bg_color_sticky',
			'type'     => 'color',
			'output'   => array(
				'background' => '.navbar.navbar_fixed .right-nav .nav_btn.tp_btn:hover',
			),
		),
		array(
			'title'    => esc_html__( 'Hover border color', 'ama' ),
			'subtitle' => esc_html__( 'Background hover color on Header sticky mode..', 'ama' ),
			'id'       => 'menu_btn_hover_border_color_sticky',
			'type'     => 'color',
			'output'   => array(
				'border-color' => '.navbar.navbar_fixed .right-nav .nav_btn.tp_btn:hover',
			),
		),

		array(
			'id'     => 'button_colors-sticky-end',
			'type'   => 'section',
			'indent' => false,
		),
	)
) );

/**
 * Title-bar banner
 */
Redux::set_section( 'ama_opt', array(
	'title'      => esc_html__( 'Title-bar', 'ama' ),
	'id'         => 'title_bar_opt',
	'subsection' => true,
	'icon'       => '',
	'fields'     => array(
		array(
			'title'   => esc_html__( 'Visibility', 'ama' ),
			'id'      => 'is_title_bar',
			'type'    => 'switch',
			'on'      => esc_html__( 'Show', 'ama' ),
			'off'     => esc_html__( 'Hide', 'ama' ),
			'default' => '1',
		),

		array(
			'title'    => esc_html__( 'Title Bar Ornaments', 'ama' ),
			'id'       => 'is_title_bar_ornaments',
			'type'     => 'switch',
			'on'       => esc_html__( 'Show', 'ama' ),
			'off'      => esc_html__( 'Hide', 'ama' ),
			'default'  => '1',
			'required' => array( 'is_title_bar', '=', '1' ),
		),

		array(
			'title'          => esc_html__( 'Title-bar padding', 'ama' ),
			'subtitle'       => esc_html__( 'Padding around the Title-bar.', 'ama' ),
			'id'             => 'title_bar_padding',
			'type'           => 'spacing',
			'output'         => array( '.aj-titlebar' ),
			'mode'           => 'padding',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'required'       => array( 'is_title_bar', '=', '1' ),
		),

		array(
			'id'       => 'titlebar_align',
			'type'     => 'button_set',
			'title'    => esc_html__( 'Alignment', 'ama' ),
			'options'  => array(
				'left'   => esc_html__( 'Left', 'ama' ),
				'center' => esc_html__( 'Center', 'ama' ),
				'right'  => esc_html__( 'Right', 'ama' )
			),
			'default'  => 'center',
			'required' => array( 'is_title_bar', '=', '1' ),
		),
	)
) );

/**
 * Search Banner
 */
Redux::set_section( 'ama_opt', array(
    'title'      => esc_html__( 'Search Banner', 'ama' ),
    'id'         => 'search_banner_header_opt',
    'subsection' => true,
    'icon'       => '',
    'fields'     => array(
        array(
            'id'    => 'search_banner_note',
            'type'  => 'info',
            'style' => 'success',
            'title' => esc_html__( 'Important Note:', 'ama' ),
            'icon'  => 'dashicons dashicons-info',
            'desc'  => esc_html__( 'Search Banner is located on the Blog page, Blog details page, Forum page and Topic page', 'ama' )
        ),

        array(
            'title'   => esc_html__( 'Search Banner', 'ama' ),
            'id'      => 'is_search_banner',
            'type'    => 'switch',
            'on'      => esc_html__( 'Show', 'ama' ),
            'off'     => esc_html__( 'Hide', 'ama' ),
            'default' => true
        ),

        array(
            'title'    => esc_html__( 'Focus Search by /', 'ama' ),
            'subtitle' => esc_html__( 'If you enable this setting, your website visitors can focus (enter the mouse cursor) on the search form by pressing the "/" key of the keyboard.', 'ama' ),
            'id'       => 'is_focus_search',
            'type'     => 'switch',
            'on'       => esc_html__( 'Yes', 'ama' ),
            'off'      => esc_html__( 'No', 'ama' ),
            'default'  => 1,
            'required' => array( 'is_search_banner', '=', '1' ),
        ),

        array(
            'title' => esc_html__( 'Search Keywords', 'ama' ),
            'id'    => 'is_keywords',
            'type'  => 'switch',
            'on'    => esc_html__( 'Yes', 'ama' ),
            'off'   => esc_html__( 'No', 'ama' ),
        ),

        array(
            'title'    => esc_html__( 'Keywords Label', 'ama' ),
            'id'       => 'keywords_label',
            'type'     => 'text',
            'default'  => esc_html__( 'Popular topics:', 'ama' ),
            'required' => array( 'is_keywords', '=', '1' ),
        ),

        array(
            'title'    => esc_html__( 'Keywords', 'ama' ),
            'id'       => 'keywords',
            'type'     => 'multi_text',
            'add_text' => esc_html__( 'Add Keyword', 'ama' ),
            'required' => array( 'is_keywords', '=', '1' ),
        ),

        array(
            'id'       => 'banner_search_placeholder',
            'type'     => 'text',
            'title'    => esc_html__( 'Search Placeholder', 'ama' ),
            'default'  => esc_html__( 'Search ("/" to focus)', 'ama' ),
            'required' => array( 'is_search_banner', '=', '1' ),
        ),


        array(
            'id'      => 'sbnr_placeholder',
            'type'    => 'text',
            'title'   => esc_html__( 'Search Placeholder', 'ama' ),
            'default' => esc_html__( 'Type your search keyword...', 'ama' )
        ),

        array(
            'title'          => esc_html__( 'Padding', 'ama' ),
            'subtitle'       => esc_html__( 'Padding around the Search Banner. Input the padding as clockwise (Top Right Bottom Left)', 'ama' ),
            'id'             => 'sbnr_padding',
            'type'           => 'spacing',
            'output'         => array( '.sbnr-global' ),
            'mode'           => 'padding',
            'units'          => array( 'em', 'px', '%' ),
            'units_extended' => 'true',
        ),

        array(
            'title'    => esc_html__( 'Background', 'ama' ),
            'id'       => 'sbnr_light_bg',
            'type'     => 'background',
            'default'  => array(
                'background-image' => AMA_DIR_IMG . '/banner-bg.png'
            ),
            'output'   => '.doc_banner_area.search-banner-light',
            'required' => array( 'select_search_banner', '=', 'light' ),
        ),

        array(
            'title'   => esc_html__( 'Background Shapes', 'ama' ),
            'id'      => 'is_sbnr_bg_shapes',
            'type'    => 'switch',
            'on'      => esc_html__( 'Yes', 'ama' ),
            'off'     => esc_html__( 'No', 'ama' ),
            'default' => true,
        ),

        array(
            'title'    => esc_html__( 'Background Gradient', 'ama' ),
            'id'       => 'sbnr_gradient',
            'type'     => 'color_gradient',
            'validate' => 'color',
            'default'  => array(
                'from' => '#2e0f4d',
                'to'   => '#190f4d',
            ),
            'output'   => array( '.banner-area-7.sbnr-global' )
        ),

    )
));