<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ama
 */

get_header();

$opt     = get_option( 'ama_opt' );
$padding = "";

$is_forum_btm_c2a = $opt['is_forum_btm_c2a'] ?? '1';
$wrap_class       = 'page_wrapper ';

if ( class_exists( 'bbPress' ) ) {
	$wrap_class .= bbp_is_search() || is_post_type_archive( 'forum' ) || is_post_type_archive( 'topic' ) || is_singular( 'forum' ) || is_singular( 'topic' ) || is_tax('topic-tag') ? 'forum-page-content sec_pad' : '';
}


is_page() && $wrap_class .= " sec_pad aj-page-wrap";

while ( have_posts() ) : the_post();
	?>
    <div class="<?php echo esc_attr( $wrap_class ) ?>">
        <div class="container">
			<?php
			the_content();
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'ama' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'ama' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
			?>
			<?php
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
			?>
        </div>
    </div>
<?php
endwhile; // End of the loop.

if ( in_array( 'bbpress', get_body_class() ) && class_exists( 'bbPress' ) && $is_forum_btm_c2a == '1' ) {
	get_template_part( 'template-parts/forum/c2a-bottom' );
}

get_footer();
