<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package ama
 */

get_header();
$blog_column = is_active_sidebar( 'sidebar_widgets' ) ? '8' : '12';
$blog_layout = ! empty( $opt['blog_layout'] ) ? $opt['blog_layout'] : 'list';
?>
    <section class="doc_blog_classic_area sec_pad">
        <div class="container">
            <div class="row">
                <div class="col-lg-<?php echo esc_attr( $blog_column ) ?>">
                    <div class="search-main">
                        <div class="searchbar-tabs mb-5">
                            <a href="?s=<?php the_search_query(); ?>" class="tab-item <?php ama_is_search_tab_active( 'all' ) ?>">
								<?php esc_html_e( 'All', 'ama' ); ?>
                            </a>
							<?php if ( class_exists( 'bbPress' ) ) : ?>
                                <a href="?bbp_search=<?php the_search_query(); ?>" class="tab-item <?php ama_is_search_tab_active( 'forum' ) ?>">
									<?php esc_html_e( 'Forum', 'ama' ); ?>
                                </a>
							<?php endif; ?>
                            <a href="?s=<?php the_search_query(); ?>&post_type=post" class="tab-item <?php ama_is_search_tab_active( 'post' ) ?>">
								<?php esc_html_e( 'Blog', 'ama' ); ?>
                            </a>
                        </div>

						<?php
						if ( get_search_query() ) {
							if ( have_posts() ) {
								while ( have_posts() ) : the_post();
									get_template_part( 'template-parts/contents/content', 'search' );

								endwhile;
								ama_helper()->pagination();
							} else {
								get_template_part( 'template-parts/contents/content', 'none' );
							}
						} else {
							esc_html_e( 'Please type a keyword.', 'ama' );
						}
						?>
                    </div>
                </div>

				<?php get_sidebar(); ?>
            </div>
        </div>
    </section>

<?php
get_footer();