<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ama
 */

get_header();
$opt                 = get_option( 'ama_opt' );
$is_related          = ! empty( $opt['is_related_posts'] ) ? $opt['is_related_posts'] : '';
$blog_column         = is_active_sidebar( 'sidebar_widgets' ) ? '8' : '12';
$is_single_post_date = $opt['is_single_post_date'] ?? '1';
?>

	<section class="blog_area doc_blog_classic_area sec_pad">
		<div class="container">
			<div class="row">
				<div class="col-lg-<?php echo esc_attr( $blog_column ); ?>">
					<div class="blog_single_info">
						<div class="blog_single_item">
							<?php
							the_post_thumbnail();

							while ( have_posts() ) :
								the_post();
								the_content();
								wp_link_pages(
									array(
										'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'ama' ) . '</span>',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
										'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'ama' ) . ' </span>%',
										'separator'   => '<span class="screen-reader-text">, </span>',
									)
								);
							endwhile;
							?>

							<?php if ( has_tag() || ( class_exists( 'Ama_core' ) ) ) : ?>
								<div class="blog_social text-center align-items-center">
									<?php if ( has_tag() ) : ?>
										<div class="post_tags">
											<?php the_tags( esc_html__( 'Tags : ', 'ama' ), ', ' ); ?>
										</div>
									<?php endif; ?>

									<div class="social_list">
										<?php
										if ( function_exists( 'ama_social_share' ) ) {
											ama_social_share();
										}
										?>
									</div>
								</div>
							<?php endif; ?>
						</div>

						<?php
						if ( is_singular( 'post' ) ) {
							get_template_part( 'template-parts/single-post/related-posts' );
						}

						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>
					</div>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
	</section>

<?php
get_footer();
