<?php
$thumb_size           = is_active_sidebar( 'sidebar_widgets' ) ? 'ama_375x220' : 'full';
$opt                  = get_option( 'ama_opt' );
$post_title_length    = $opt['post_title_length'] ?? '';
$is_post_meta         = $opt['is_post_meta'] ?? '1';
$is_post_date         = $opt['is_post_date'] ?? '1';
$is_post_reading_time = $opt['is_post_reading_time'] ?? '1';
$is_post_cat          = $opt['is_post_cat'] ?? '1';
$is_post_author       = $opt['is_post_author'] ?? '1';
$post_author_id       = get_post_field( 'post_author', get_the_ID() );
$blog_column          = ! empty( $opt['blog_column'] ) ? $opt['blog_column'] : '6';

if ( ! empty( $_GET['blog_layout'] ) && sanitize_text_field( $_GET['blog_layout'] ) == 'blog_category' ) {
	$blog_column = '4';
}
?>

<div class="col-lg-<?php echo esc_attr( $blog_column ) ?> col-sm-6">
    <div class="blog_grid_post wow fadeInUp">
		<?php
		if ( ! is_search() ) {
			the_post_thumbnail( $thumb_size );
		}
		?>
        <div class="grid_post_content">
			<?php if ( $is_post_meta == '1' ) : ?>
                <div class="post_tag">
					<?php if ( $is_post_reading_time == '1' ): ?>
                        <a href="<?php the_permalink(); ?>">
                            <i class="icon_clock_alt"></i>
							<?php ama_reading_time(); ?>
                        </a>
					<?php
					endif;

					if ( $is_post_cat == '1' ):
						?>
                        <a href="<?php ama_helper()->first_category_link(); ?>">
                            <i class="icon_tag_alt"></i>
							<?php ama_helper()->first_category(); ?>
                        </a>
					<?php endif; ?>
                </div>
			<?php endif; ?>

            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute() ?>">
                <h4 class="b_title"><?php ama_helper()->limit_letter( get_the_title(), $post_title_length, '' ); ?> </h4>
            </a>

			<?php
            echo strip_shortcodes(ama_helper()->excerpt('blog_excerpt', false));
            if ( $is_post_author == '1' && $is_post_meta == '1' ):
				?>
                <div class="media d-flex post_author">
                    <div class="round_img">
						<?php ama_helper()->post_author_avatar(); ?>
                    </div>
                    <div class="media-body author_text">
                        <a href="<?php echo get_author_posts_url( $post_author_id ) ?>">
                            <?php echo get_the_author_meta( 'display_name' ) ?>
                        </a>
						<?php if ( $is_post_date == '1' && $is_post_meta == '1' ): ?>
                            <div class="date"> <?php the_time( get_option( 'date_format' ) ); ?> </div>
						<?php endif; ?>
                    </div>
                </div>
			<?php endif; ?>
        </div>
    </div>
</div>
