<?php
$thumb_size           = is_active_sidebar( 'sidebar_widgets' ) ? 'ama_670x450' : 'full';
$opt                  = get_option( 'ama_opt' );
$blog_continue_read   = ! empty( $opt['blog_continue_read'] ) ? $opt['blog_continue_read'] : __( 'Continue Reading', 'ama' );
$is_post_meta         = $opt['is_post_meta'] ?? '1';
$is_post_date         = $opt['is_post_date'] ?? '1';
$is_post_reading_time = $opt['is_post_reading_time'] ?? '1';
$is_post_cat          = $opt['is_post_cat'] ?? '1';
$is_post_author       = $opt['is_post_author'] ?? '1';
$blog_column          = ! empty( $opt['blog_column'] ) ? $opt['blog_column'] : '6';
$post_author_id       = get_post_field( 'post_author', get_the_ID() );
?>

<?php if ( is_sticky() ): ?>
    <section class="blog_top_post_area sec_pad bg_color doc_blog_classic_area">
        <div class="container">
            <div class="row blog_top_post">
                <div class="col-lg-7 p_top_img">
					<?php the_post_thumbnail( $thumb_size, array( 'class' => 'p_img' ) ); ?>
                </div>
                <div class="col-lg-5 p-0">
                    <div class="b_top_post_content bg-white">
                        <div class="post_tag">
							<?php if ( $is_post_reading_time == '1' && $is_post_meta == '1' ): ?>
                                <i class="icon_clock_alt"></i>
                                <a href="<?php the_permalink(); ?>"><?php ama_reading_time(); ?></a>
							<?php endif; ?>

							<?php if ( $is_post_cat == '1' && $is_post_meta == '1' ): ?>
                                <span class="pl-10">
                                    <i class="icon_tag_alt"></i>
                                    <a href="<?php ama_helper()->first_category_link(); ?>">
		                                <?php ama_helper()->first_category(); ?>
                                    </a>
                                </span>
							<?php endif; ?>
                        </div>

                        <a href="<?php the_permalink(); ?>">
                            <h3><?php the_title() ?></h3>
                        </a>

						<?php echo strip_shortcodes( ama_helper()->excerpt( 'blog_excerpt', false ) ); ?>
                        <a href="<?php the_permalink(); ?>" class="learn_btn"><?php echo esc_html( $blog_continue_read ) ?>
                            <i class="<?php ama_arrow_left_right() ?>"></i>
                        </a>

						<?php if ( $is_post_author == '1' && $is_post_meta == '1' ): ?>
                            <div class="media d-flex post_author">
                                <div class="round_img">
									<?php ama_helper()->post_author_avatar(); ?>
                                </div>

                                <div class="media-body author_text">
                                    <a href="<?php echo get_author_posts_url( $post_author_id ) ?>">
                                        <?php echo get_the_author_meta( 'display_name' ) ?>
                                    </a>
									<?php if ( $is_post_date == '1' && $is_post_meta == '1' ): ?>
                                        <div class="date"><?php the_time( get_option( 'date_format' ) ); ?></div>
									<?php endif; ?>
                                </div>
                            </div>
						<?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
endif;