<?php
$opt                     = get_option( 'ama_opt' );
$copyright_text          = ! empty( $opt['copyright_txt'] ) ? $opt['copyright_txt'] : __( '© 2022 Spider-Themes. All rights reserved', 'ama' );
$footer_shape_1          = ! empty( $opt['f_arrow']['url'] ) ? $opt['f_arrow']['url'] : '';
$footer_shape_2          = ! empty( $opt['f_plant']['url'] ) ? $opt['f_plant']['url'] : '';
$footer_visibility       = function_exists( 'get_field' ) ? get_field( 'footer_visibility' ) : '1';
$footer_background_color = function_exists( 'get_field' ) ? get_field( 'footer_background_color' ) : '';
$has_bg                  = ! empty( $footer_background_color ) ? 'has_bg_color' : '';
$footer_visibility       = $footer_visibility ?? '1';

$is_preset_footer = $opt['is_footer_columns_preset'] ?? '';
$is_preset_footer = $is_preset_footer == '1' ? 'preset_footer' : '';
?>

<footer class="footer-3">
    <div class="footer-shapes">
		<?php if ( $footer_shape_1 ): ?>
            <div class="shape">
                <img class="wow fadeInLeft" data-wow-delay="0.5s" src="<?php echo esc_url( $footer_shape_1 ) ?>"
                     alt="<?php esc_attr_e( 'footer shape 1', 'ama' ); ?>">
            </div>
		<?php endif; ?>

		<?php if ( $footer_shape_2 ): ?>
            <div class="shape">
                <img src="<?php echo esc_url( $footer_shape_2 ) ?>" alt="<?php esc_attr_e( 'footer shape 2', 'ama' ); ?>">
            </div>
		<?php endif; ?>
    </div>

    <div class="container">
		<?php if ( is_active_sidebar( 'footer_widgets' ) ) : ?>
            <div class="footer-top pt-120 pb-100">
                <div class="row gy-lg-0 gy-4 <?php echo esc_attr( $is_preset_footer ) ?>">
					<?php if ( is_active_sidebar( 'footer_widgets' ) ):
						dynamic_sidebar( 'footer_widgets' );
					endif; ?>
                </div>
            </div>
		<?php endif; ?>

        <div class="footer-bottom pt-40 pb-40">
            <div class="d-flex justify-content-between flex-wrap">
				<?php echo wp_kses( wpautop( $copyright_text ), ama_allowed_html() ); ?>
                <ul class="footer-menu list-unstyled wow fadeInLeft">
					<?php
					$footer_btm_links = ! empty( $opt['footer_btm_links'] ) ? $opt['footer_btm_links'] : '';
					if ( ! empty( $footer_btm_links ) ) {
						foreach ( $footer_btm_links as $footer_btm_link ) {
							echo "<li><a href='{$footer_btm_link['url']}'>{$footer_btm_link['title']}</a></li>";
						}
					}
					?>
                </ul>
            </div>
        </div>
    </div>
</footer>