<?php
$opt = get_option( 'ama_opt' );

//action button info
$is_dark_switcher = $opt['is_dark_switcher'] ?? '';
$action_btn_link  = function_exists( 'get_field' ) ? get_field( 'action_btn_link' ) : '';
$is_menu_btn      = function_exists( 'get_field' ) ? get_field( 'is_menu_btn' ) : '';
$is_menu_btn_opt  = ! empty( $opt['is_menu_btn'] ) ? $opt['is_menu_btn'] : '';
$is_menu_btn      = $is_menu_btn ?? $is_menu_btn_opt;

// Button Title
$btn_title = '';
if ( ! empty( $action_btn_link['title'] ) ) {
	$btn_title = $action_btn_link['title'];
} else {
	$btn_title = ! empty( $opt['menu_btn_label'] ) ? $opt['menu_btn_label'] : '';
}

// Button URL
$btn_url = '#';
if ( ! empty( $action_btn_link['url'] ) ) {
	$btn_url = $action_btn_link['url'];
} else {
	$btn_url = ! empty( $opt['menu_btn_url'] ) ? $opt['menu_btn_url'] : '';
}

$aj_menu      = empty( $btn_url ) ? 'aj-mobile-menu' : '';
$aj_side_menu = empty( $btn_url ) ? 'aj-side-menu' : '';
?>
<div class="mobile_main_menu sticky">
    <div class="container">
        <div class="mobile_menu_left <?php echo esc_attr( $aj_menu ); ?>">
            <button type="button" class="navbar-toggler mobile_menu_btn">
                <span class="menu_toggle ">
                    <span class="hamburger">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                </span>
            </button>
			<?php ama_helper()->logo(); ?>
        </div>
        <div class="mobile_menu_right">
			<?php get_template_part( 'template-parts/header-elements/action-button' ); ?>
        </div>
    </div>
</div>

<div class="side_menu <?php echo esc_attr( $aj_side_menu ) ?>">
    <div class="mobile_menu_header">
        <div class="close_nav">
            <i class="icon_close"></i>
        </div>
		<?php if ( ! empty( $opt['main_logo']['url'] ) ) : ?>
            <div class="mobile_logo">
                <a href="<?php echo esc_url( home_url( '/' ) ) ?>">
                    <img src="<?php echo esc_url( $opt['main_logo']['url'] ) ?>" alt="<?php bloginfo( 'name' ); ?>">
                </a>
            </div>
		<?php endif; ?>
    </div>
    <div class="mobile_nav_wrapper">
        <nav class="mobile_nav_top">
			<?php
			if ( has_nav_menu( 'main_menu' ) ) {
				wp_nav_menu( array(
					'menu'           => 'main_menu',
					'theme_location' => 'main_menu',
					'container'      => null,
					'menu_class'     => "navbar-nav menu ml-auto",
					'walker'         => new Ama_Mobile_Nav_Walker(),
					'depth'          => 4
				) );
			}
			?>
        </nav>
    </div>
</div>