<?php
$opt = get_option( 'ama_opt' );

$is_bg_shapes = $opt['is_bg_shapes'] ?? '1';
$placeholder  = ! empty( $opt['sbnr_placeholder'] ) ? $opt['sbnr_placeholder'] : __( 'Type your keyword...', 'ama' );
$is_keywords  = $opt['is_keywords'] ?? '';
$snbr_shapes  = $opt['is_sbnr_bg_shapes'] ?? '1';

if ( class_exists( 'bbPress' ) && ( bbp_is_forum_archive() || bbp_is_topic_archive() || is_singular( 'forum' ) || is_singular( 'topic' ) ) ) {
	$search_name = 'bbp_search';
} else {
	$search_name = 's';
}

?>
	<section class="banner-area-7 has_search sbnr-global">
		<?php if ( $snbr_shapes ) : ?>
			<div class="banner-shapes">
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-1.png" alt="shape"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-2.png" alt="shape"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-3.png" alt="shape"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-4.png" alt="shape"/>
				</div>
			</div>
		<?php endif; ?>

		<div class="container">
			<div class="row">
				<div class="col-lg-9 doc_banner_content search-banner-light text-center mx-auto ">
					<form action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search" method="get" class="header_search_form-5 mx-auto">
						<div class="header_search_form_info">
							<div class="form-group">
								<div class="input-wrapper d-flex flex-row">
									<?php if ( class_exists( 'bbpress' ) && bbp_is_search_results() ) : ?>
										<input type="hidden" name="action" value="bbp-search-request"/>
									<?php endif; ?>

									<input type="search" id="searchInput" name="s" placeholder="<?php echo esc_attr( $placeholder ); ?>"
											autocomplete="off" value="<?php echo get_search_query(); ?>"/>
									<button type="submit"><i class="icon_search"></i></button>
								</div>

								<?php get_template_part( 'template-parts/header-elements/search-banner/ajax-search-results' ); ?>
							</div>
						</div>

						<?php if ( $is_keywords ) : ?>
							<div class="header_search_keyword search-white mt-3">
								<?php if ( ! empty( $opt['keywords_label'] ) ) : ?>
									<span class="header-search-form__keywords-label">
										<?php echo esc_html( $opt['keywords_label'] ); ?>
									</span>
								<?php endif; ?>

								<?php if ( ! empty( $opt['keywords'] ) ) : ?>
									<ul class="list-unstyled">
										<?php foreach ( $opt['keywords'] as $keyword ) : ?>
											<li class="wow fadeInUp" data-wow-delay="0.2s">
												<a href="#"> <?php echo esc_html( $keyword ); ?> </a>
											</li>
										<?php endforeach; ?>
									</ul>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					</form>
				</div>
			</div>
		</div>
	</section>

<?php
require 'breadcrumb.php';
