<?php
// Theme settings options
$opt = get_option( 'ama_opt' );

$left_ornament       = function_exists( 'get_field' ) ? get_field( 'left_ornament' ) : '1';
$is_banner           = $opt['is_title_bar'] ?? '1';
$is_banner           = function_exists( 'get_field' ) ? get_field( 'is_banner' ) : '1';
$is_banner           = $is_banner ?? '1';
$titlebar_align      = ! empty( $opt['titlebar_align'] ) ? $opt['titlebar_align'] : '';
$is_banner_ornaments = $opt['is_title_bar_ornaments'] ?? '1';
$is_banner_ornaments = function_exists( 'get_field' ) ? get_field( 'is_banner_ornament' ) : '1';
$is_banner_ornaments = $is_banner_ornaments ?? '1';

if ( is_404() || is_home() || is_single() || is_post_type_archive( [ 'forum', 'topic', 'docs' ] ) || is_singular( 'topic' ) || is_search() || ( class_exists( 'bbPress' ) && bbp_is_search() ) ) {
	$is_banner = '';
}

if ( ! isset( $is_banner ) && is_page() ) {
	$is_banner = '1';
}

if ( $is_banner == '1' ) : ?>
	<section class="banner-area-7 has_search sbnr-global">

		<?php if ( $is_banner_ornaments ) : ?>
			<div class="banner-shapes">
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-1.png" alt="<?php esc_attr_e( 'shape', 'ama' ); ?>"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-2.png" alt="<?php esc_attr_e( 'shape', 'ama' ); ?>"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-3.png" alt="<?php esc_attr_e( 'shape', 'ama' ); ?>"/>
				</div>
				<div class="shape">
					<img data-parallax='{"x": 50, "y": 0, "rotateZ":0}' src="<?php echo AMA_DIR_IMG; ?>/add-question/banner-shape-4.png" alt="<?php esc_attr_e( 'shape', 'ama' ); ?>"/>
				</div>
			</div>
		<?php endif; ?>

		<div class="container">
			<div class="row">
				<div class="col-lg-9 doc_banner_content search-banner-light text-center mx-auto ">
					<div class="container">
						<div class="aj-titlebar text-<?php echo esc_attr( $titlebar_align ); ?>">
							<h1 class="text-<?php echo esc_attr( $titlebar_align ); ?>">
								<?php ama_helper()->banner_title(); ?>
							</h1>
							<?php
							if ( ! is_search() && ! is_archive() ) {
								echo has_excerpt() ? wpautop( get_the_excerpt() ) : '';
							}
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<?php
endif;
